VINParsedResult (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.client.result, class: VINParsedResult

Package com.google.zxing.client.result

# Class VINParsedResult

java.lang.Object
com.google.zxing.client.result.ParsedResult
com.google.zxing.client.result.VINParsedResult

public final class VINParsedResult extends ParsedResult
Represents a parsed result that encodes a Vehicle Identification Number (VIN).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VINParsedResult(String vin, String worldManufacturerID, String vehicleDescriptorSection, String vehicleIdentifierSection, String countryCode, String vehicleAttributes, int modelYear, char plantCode, String sequentialNumber)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCountryCode()`
  `String`
  `getDisplayResult()`
  `int`
  `getModelYear()`
  `char`
  `getPlantCode()`
  `String`
  `getSequentialNumber()`
  `String`
  `getVehicleAttributes()`
  `String`
  `getVehicleDescriptorSection()`
  `String`
  `getVehicleIdentifierSection()`
  `String`
  `getVIN()`
  `String`
  `getWorldManufacturerID()`

  ### Methods inherited from class com.google.zxing.client.result.ParsedResult

  `getType, maybeAppend, maybeAppend, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VINParsedResult

    public VINParsedResult(String vin, String worldManufacturerID, String vehicleDescriptorSection, String vehicleIdentifierSection, String countryCode, String vehicleAttributes, int modelYear, char plantCode, String sequentialNumber)

- ## Method Details

  - ### getVIN

    public String getVIN()

  - ### getWorldManufacturerID

    public String getWorldManufacturerID()

  - ### getVehicleDescriptorSection

    public String getVehicleDescriptorSection()

  - ### getVehicleIdentifierSection

    public String getVehicleIdentifierSection()

  - ### getCountryCode

    public String getCountryCode()

  - ### getVehicleAttributes

    public String getVehicleAttributes()

  - ### getModelYear

    public int getModelYear()

  - ### getPlantCode

    public char getPlantCode()

  - ### getSequentialNumber

    public String getSequentialNumber()

  - ### getDisplayResult

    public String getDisplayResult()
    Specified by:
      `getDisplayResult` in class `ParsedResult`